#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new artnet"$ENDLOGINFO

# kill program

kill $(pidof artnet.elf)
sleep 5

# install program

SOURCEDIR=./
TARGETDIR=/home/upgrade/tools
FILE=artnet.elf

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

# verify the dmx_universe file is present (necessary for artnet to startup)
FILE_ORG=/home/dv10/settings/dmx_universe.ini
FILE_NEW=./dmx_universe.ini

if [ -f $FILE_ORG ];then
  # The file exists : DO NOTHING
  rm $FILE_NEW
else
  # The file does not exist : COPY NEW FILE
  mv $FILE_NEW $FILE_ORG
fi
chmod 666 $FILE_ORG

# install program scripts

SOURCEDIR=./
TARGETDIR=/home/upgrade/tools
FILE=artnet_run.sh

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

SOURCEDIR=./
TARGETDIR=/home/upgrade/tools
FILE=artnet_kill.sh

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new artnet"$ENDLOGINFO
  RET_ERROR=2
fi

cd $TARGETDIR
./artnet_run.sh &

exit $RET_ERROR
