#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new broadcast"$ENDLOGINFO

# kill program

kill $(pidof broadcast.elf)
sleep 5

# install program

SOURCEDIR=./
TARGETDIR=/home/upgrade/tools
FILE=broadcast.elf

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE


# install program scripts

SOURCEDIR=./
TARGETDIR=/home/upgrade/tools
FILE=broadcast_run.sh

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

rm -f $TARGETDIR/$FILE
cp -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

RET_ERROR=$?

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new broadcast"$ENDLOGINFO
  RET_ERROR=2
fi

cd $TARGETDIR
./broadcast_run.sh &

exit $RET_ERROR
