#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0
RETRY_BACKUP=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

UPDATE="<update cat=\"control\" setting=\"request.reboot.when.done\"/>"

# install move_versions_info.sh

echo $STARTLOGINFO"  install move_versions_info.sh script"$ENDLOGINFO
chmod 755 move_versions_info.sh
chown root:root move_versions_info.sh
cp -f move_versions_info.sh /home/upgrade/move_versions_info.sh

# install store.ini and backup custom settings

cp -f store.ini /home/flm/store.ini
echo $STARTLOGINFO"  backup custom settings in serial flash"$ENDLOGINFO
if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "store_files()")" != "DONE" ];then
  echo $STARTLOGINFO"  failed to backup custom settings in serial flash"$ENDLOGINFO
  echo $STARTLOGINFO"  a second try will follow after restarting the new programm..."$ENDLOGINFO
  RETRY_BACKUP=1
fi

# kill program

echo $STARTLOGINFO"  installing new flm software"$ENDLOGINFO
kill $(pidof flm.elf)
sleep 5

pidof flm.elf
if [ $? -eq 1 ];then
  kill -9 $(pidof flm.elf)
  sleep 5
fi

# install program

SOURCEDIR=./
TARGETDIR=/home/flm
FILE=flm.elf

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

#rm -f $TARGETDIR/$FILE
#cp -f $SOURCEDIR/$FILE $TARGETDIR
mv -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE


# install program scripts

SOURCEDIR=./
TARGETDIR=/home/flm
FILE=run.sh

mkdir -p $TARGETDIR
chmod 755 $TARGETDIR
chown root:root $TARGETDIR

mv -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

SOURCEDIR=./
TARGETDIR=/etc/rc.d/init.d/
FILE=S95flm

rm -f $TARGETDIR/$FILE
mv -f $SOURCEDIR/$FILE $TARGETDIR
chmod 755 $TARGETDIR/$FILE
chown root:root $TARGETDIR/$FILE

RET_ERROR=$?

#remove old layout files
if [ -f /home/flm/layout.ini ]; then
  rm /home/flm/layout.ini
fi
if [ -f /home/flm/settings/layout.ini ]; then
  rm /home/flm/settings/layout.ini
fi

#move ini files
if [ -f /home/flm/config.ini ]; then
  mv /home/flm/config.ini /home/flm/settings/config.ini
fi
if [ -f /home/flm/color_temp.ini ]; then
  mv /home/flm/color_temp.ini /home/flm/settings/color_temp.ini
fi


if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new flm software"$ENDLOGINFO
  RET_ERROR=2
else
   echo $UPDATE
fi

cd /home/flm
./run.sh &
echo restarted > /tmp/restarted
sleep 15


if [$RETRY_BACKUP -eq 1];then
  # a second try to backup custom settings
  
  sleep 15
  cp -f store.ini /home/flm/store.ini
  echo $STARTLOGINFO"  backup custom settings in serial flash"$ENDLOGINFO
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "store_files()")" != "DONE" ];then
    echo $STARTLOGINFO"  failed to backup custom settings in serial flash"$ENDLOGINFO
  fi
fi

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(start)")" != "ACK" ];then
#if it failes -> wait 15s again and then retry
  sleep 15 
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(start)")" != "ACK" ];then
    #if it failes -> wait 15s again and then retry
    sleep 15
    if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_upgrade_status(start)")" != "ACK" ];then
      #if it failes -> wait 15s again and then retry
      sleep 15
    fi
  fi  
fi

if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "get_proj_mode()")" = "standby-eco" ];then
  /home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "set_proj_mode(standby)"
fi

exit $RET_ERROR
