#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new layout files"$ENDLOGINFO

FILE=/home/flm/layouts
DIRECTORY=/home/flm/layouts/
FILE_HD=/home/flm/layouts/hd
DIRECTORY_HD=/home/flm/layouts/hd/

if [ -f /tmp/.current.l ];then
  rm /tmp/.current.l
fi

if [ -f $FILE ];then
  rm $FILE
fi

if [ -d $DIRECTORY ];then
  if [ -f $DIRECTORY.current.l ];then
    mv $DIRECTORY.current.l /tmp/.current.l
  fi
else
  mkdir $DIRECTORY
  if [ -f /home/flm/.current.l ];then
    mv /home/flm/.current.l /tmp/.current.l
  fi
fi

if ! [ -d $DIRECTORY_HD ];then
  mkdir $DIRECTORY_HD
fi

ls ./files > /tmp/ls-backgrounds
/home/upgrade/tools/chownmod ./files /tmp/ls-backgrounds root:root 444
ls ./files/hd > /tmp/ls-backgrounds
/home/upgrade/tools/chownmod ./files/hd /tmp/ls-backgrounds root:root 444

if [ -f ./files/hd/.version ];then
  rm ./files/hd/.version
fi
if [ -f $DIRECTORY_HD.version ];then
  rm $DIRECTORY_HD.version
fi

cp -Rd ./files/* $DIRECTORY
RET_ERROR=$?

chmod 755 $DIRECTORY
chown root:root $DIRECTORY
chmod 755 $DIRECTORY_HD
chown root:root $DIRECTORY_HD
cp ./files/.version $DIRECTORY.version
chmod 444 $DIRECTORY.version
chown root:root $DIRECTORY.version
ln -s $DIRECTORY.version $DIRECTORY_HD.version

if [ -f /tmp/.current.l ];then
  mv /tmp/.current.l $DIRECTORY.current.l
fi

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new layout files"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR
