#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new resource files"$ENDLOGINFO

FILE=/home/flm/resources
DIRECTORY=/home/flm/resources/

if [ -f $FILE ];then
  rm $FILE
fi

if [ -d $DIRECTORY ];then
# remove all files
  rm $DIRECTORY*
  rm $DIRECTORY.version
else
  mkdir $DIRECTORY
fi

chmod 644 $DIRECTORY/*.fnt
cp ./files/* $DIRECTORY
RET_ERROR=$?
chmod 444 $DIRECTORY*
cp ./files/.version $DIRECTORY

if [ -f /home/flm/font.fnt ]; then
  rm /home/flm/font.fnt
fi
ln -s $DIRECTORY/font16x32.fnt /home/flm/font.fnt

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new resource files"$ENDLOGINFO
  RET_ERROR=2
else
  echo $STARTLOGINFO"  store new files in flash"$ENDLOGINFO
  if [ "$(/home/upgrade/tools/send_to_sock.elf /home/flm/local_socket "store_files()")" != "DONE" ];then
    echo $STARTLOGINFO"  failed to store new files in flash"$ENDLOGINFO
    RET_ERROR=2
  fi
fi

exit $RET_ERROR
 
